This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 364701 - Traceback setting password
Traceback setting password
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 17:06 EDT by Jonathan Steffan
Modified: 2008-05-27 15:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 15:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-11-02 17:06:42 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 1088, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 1069, in main
    target.install()
  File "/usr/bin/livecd-creator", line 872, in install
    self.configureSystem()
  File "/usr/bin/livecd-creator", line 698, in configureSystem
    p2 = subprocess.Popen(["/usr/bin/passwd", "--stdin", "root"],
stdin=p1.stdout, stdout=subprocess.PIPE, preexec_fn=self.run_in_root)
  File "/usr/lib64/python2.5/subprocess.py", line 593, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.5/subprocess.py", line 1051, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory


Version-Release number of selected component (if applicable):
livecd-tools-009-1.fc7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Generate a kickstart with a cleartext password
2. Run livecd creator against the kickstart
3. Traceback
  
Actual results:
OSError: [Errno 2] No such file or directory

Expected results:
Image gets built

Additional info:
I'm going to fix the above bug, as we've fixed it in revisor, but the call still
doesn't work. Will report soon.
Comment 1 Jonathan Steffan 2007-11-02 17:13:43 EDT
passwd is missing in the chroot, we should maybe force it to be installed for a
compose (due to us requiring the tool to be present for configureSystem() to
work correctly. Testing now (with passwd added to the kickstart config) to see
if the password is correctly set.
Comment 2 Jonathan Steffan 2007-11-02 17:45:49 EDT
Error creating Live CD : syslinux not installed :
/var/tmp/livecd-creator-qnVkUC/install_root/usr/lib/syslinux/isolinux.bin not found

This is just another example of where a package is expected, but not forced into
the transaction.
Comment 3 Jeremy Katz 2007-11-05 10:37:33 EST
passwd isn't necessarily required, though.  It depends on your configuration (if
you're not setting a password, we instead use usermod).  It's probably better
not to depend on various utilties and instead switch to using libuser's python
bindings for doing things like this.

Also, if you look at current git of livecd-creator, syslinux will be pulled in
on arches where it's required
Comment 4 Bug Zapper 2008-05-14 10:57:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeremy Katz 2008-05-27 15:19:13 EDT
Added something so we at least give a nice error message for this case in git

Note You need to log in before you can comment on or make changes to this bug.